Skip to main content
GET
/
public
/
pipelines
/
{pipelineId}
/
executions
List pipeline executions
curl --request GET \
  --url https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions \
  --header 'apiKey: <api-key>'
{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "pipelineVersionId": "00000000-0000-0000-0000-000000000000",
      "status": "success",
      "startedAt": "2021-01-01T00:00:00.000Z",
      "runTime": 1234,
      "aiTokensUsed": 512,
      "nodesStarted": 3,
      "finishedAt": "2021-01-01T00:00:01.000Z",
      "triggeredBy": "message_received",
      "triggeredByEntityId": "00000000-0000-0000-0000-000000000000",
      "conversationId": "00000000-0000-0000-0000-000000000000",
      "error": "<string>"
    }
  ],
  "total": 1,
  "links": {
    "next": "<string>",
    "prev": "<string>",
    "self": "<string>"
  }
}

Authorizations

apiKey
string
header
required

Path Parameters

pipelineId
string<uuid>
required

The ID of the pipeline

Query Parameters

limit
number

Number of items to return (max 50)

page
number

Page number

Response

A paginated list of pipeline executions

data
object[]
required
total
number
required

The total number of pipeline executions

Example:

1